import type { Editor } from 'codemirror';
import type { Variable, FunctionGroup } from '../types';
export declare const initialState: {
    editor: Editor | undefined;
    editorValue: string;
    disabled: boolean;
    errorText: string;
    errorCode: unknown;
    fields: ({
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                attrDisabled: boolean;
                checked: boolean;
                textarea: {};
                aliasDisabled: boolean;
                required: boolean;
                isSearch: boolean;
                fieldSearch: {
                    type: string;
                    sort: number;
                };
                titleDisabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                disabled: boolean;
                typeDisabled: boolean;
                hide: boolean;
                input: {
                    maxLength: number;
                };
                collaboratorRoles: null;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isSearch: boolean;
                required: boolean;
                disabled: boolean;
                fieldSearch: {
                    sort: number;
                    type: string;
                };
                hide: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                pushMsg: boolean;
                typeDisabled: boolean;
                limit: number;
                member: {
                    collaboratorRoles: string;
                    isCollaborators: boolean;
                    multiple: boolean;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                disabled: boolean;
                isCollaborators: boolean;
                aliasDisabled: boolean;
                attrDisabled: boolean;
                titleDisabled: boolean;
                hide: boolean;
                multiple: boolean;
                checked: boolean;
                collaboratorRoles: string[];
                textarea?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                hide: boolean;
                disabled: boolean;
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                groupSelect: {
                    options: {
                        parentId: number;
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                    default: number;
                    groupOptions: {
                        children: {
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                            color: string;
                        }[];
                        id: number;
                        value: string;
                    }[];
                };
                isText: boolean;
                titleDisabled: boolean;
                select: {
                    default?: undefined;
                    options?: undefined;
                };
                attrDisabled: boolean;
                pushMsg: boolean;
                multiple: boolean;
                default: number;
                aliasDisabled: boolean;
                collaboratorRoles: null;
                options: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                groupOptions: {
                    value: string;
                    children: {
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                        value: string;
                    }[];
                    id: number;
                }[];
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                typeDisabled: boolean;
                multiselect: {
                    options?: undefined;
                };
                require: boolean;
                required: boolean;
                checked: boolean;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                pushMsg: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiselect: {
                    options?: undefined;
                };
                pushMsg: boolean;
                required: boolean;
                select: {
                    default?: undefined;
                    options?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                collaboratorRoles: string[];
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                aliasDisabled: boolean;
                checked: boolean;
                multiple: boolean;
                disabled: boolean;
                hide: boolean;
                attrDisabled: boolean;
                required: boolean;
                select: {
                    default: number;
                    options: {
                        id: number;
                        value: string;
                        color: string;
                        fontColor: string;
                    }[];
                };
                typeDisabled: boolean;
                default: number;
                options: {
                    id: number;
                    value: string;
                    color: string;
                }[];
                collaboratorRoles: null;
                titleDisabled: boolean;
                pushMsg: boolean;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                select: {
                    options: {
                        id: number;
                        value: string;
                        color: string;
                        fontColor: string;
                    }[];
                    default?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                orgTypeName: string;
                required: boolean;
                select: {
                    options: {
                        value: string;
                        color: string;
                        id: string;
                    }[];
                    default?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                showTime: boolean;
                collaboratorRoles: null;
                datepicker: {
                    format: string;
                    showTime: boolean;
                    isUseCreateTime?: undefined;
                    isUseUpdateTime?: undefined;
                };
                disabled: boolean;
                format: string;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
                pushMsg: boolean;
                required: boolean;
                select: {
                    options: {
                        color: string;
                        id: number;
                        value: string;
                    }[];
                    default?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                default?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiselect: {
                    options: {
                        id: number;
                        value: string;
                        color: string;
                    }[];
                };
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                location: string;
                multiple: boolean;
                range: {
                    min: number;
                    max?: undefined;
                };
                disabled: boolean;
                collaboratorRoles: null;
                pushMsg: boolean;
                accuracy: string;
                sign: string;
                required: boolean;
                amount: {
                    accuracy: string;
                    location: string;
                    range: {
                        min: number;
                    };
                    sign: string;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                inputnumber: {
                    accuracy: string;
                    percentage: boolean;
                    range: {
                        max: number;
                        min: null;
                    };
                    thousandth: boolean;
                    required?: undefined;
                    unique?: undefined;
                };
                range: {
                    max: number;
                    min: null;
                };
                thousandth: boolean;
                collaboratorRoles: null;
                pushMsg: boolean;
                disabled: boolean;
                percentage: boolean;
                accuracy: string;
                required: boolean;
                multiple: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                member: {
                    isCollaborators: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                multiple: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                checked: boolean;
                isCollaborators: boolean;
                pushMsg: boolean;
                required: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                dept: {
                    multiple: boolean;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                expression: string;
                formula: {
                    expression: string;
                    expressionField: string;
                };
                disabled: boolean;
                expressionField: string;
                hide: boolean;
                multiple: boolean;
                checked: boolean;
                pushMsg: boolean;
                required: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                workHour: {};
                checked: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                groupSelect: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                    default: number;
                    groupOptions: {
                        children: {
                            color: string;
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                        }[];
                        id: number;
                        key: number;
                        value: string;
                    }[];
                };
                hide: boolean;
                required: boolean;
                checked: boolean;
                collaboratorRoles: null;
                groupOptions: {
                    id: number;
                    key: number;
                    value: string;
                    children: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                }[];
                options: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                default: number;
                disabled: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                select?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                checked: boolean;
                hide: boolean;
                required: boolean;
                aliasDisabled: boolean;
                isCreateSys: boolean;
                multiple: boolean;
                attrDisabled: boolean;
                member: {
                    isCollaborators: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                titleDisabled: boolean;
                isCollaborators: boolean;
                disabled: boolean;
                isUseCreator: boolean;
                pushMsg: boolean;
                typeDisabled: boolean;
                collaboratorRoles: null;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                isCreateSys: boolean;
                isUseUpdator: boolean;
                member: {
                    isUseUpdator: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    multiple?: undefined;
                    required?: undefined;
                };
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                datepicker: {
                    showTime: boolean;
                    format: string;
                    isUseCreateTime: boolean;
                    isUseUpdateTime?: undefined;
                };
                isUseCreateTime: boolean;
                required: boolean;
                format: string;
                pushMsg: boolean;
                disabled: boolean;
                isCreateSys: boolean;
                multiple: boolean;
                showTime: boolean;
                collaboratorRoles: null;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                isCreateSys: boolean;
                isUseUpdateTime: boolean;
                required: boolean;
                format: string;
                multiple: boolean;
                pushMsg: boolean;
                showTime: boolean;
                datepicker: {
                    format: string;
                    isUseUpdateTime: boolean;
                    showTime: boolean;
                    isUseCreateTime?: undefined;
                };
                disabled: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                member: {
                    required: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                required: boolean;
                select: {
                    options: {
                        color: string;
                        fontColor: string;
                        id: string;
                        value: string;
                    }[];
                    default?: undefined;
                };
                disabled: boolean;
                hide: boolean;
                multiselect: {
                    options?: undefined;
                };
                checked: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    })[] | Variable[] | undefined;
    originalFields: ({
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                attrDisabled: boolean;
                checked: boolean;
                textarea: {};
                aliasDisabled: boolean;
                required: boolean;
                isSearch: boolean;
                fieldSearch: {
                    type: string;
                    sort: number;
                };
                titleDisabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                disabled: boolean;
                typeDisabled: boolean;
                hide: boolean;
                input: {
                    maxLength: number;
                };
                collaboratorRoles: null;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isSearch: boolean;
                required: boolean;
                disabled: boolean;
                fieldSearch: {
                    sort: number;
                    type: string;
                };
                hide: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                pushMsg: boolean;
                typeDisabled: boolean;
                limit: number;
                member: {
                    collaboratorRoles: string;
                    isCollaborators: boolean;
                    multiple: boolean;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                disabled: boolean;
                isCollaborators: boolean;
                aliasDisabled: boolean;
                attrDisabled: boolean;
                titleDisabled: boolean;
                hide: boolean;
                multiple: boolean;
                checked: boolean;
                collaboratorRoles: string[];
                textarea?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                hide: boolean;
                disabled: boolean;
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                groupSelect: {
                    options: {
                        parentId: number;
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                    }[];
                    default: number;
                    groupOptions: {
                        children: {
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                            color: string;
                        }[];
                        id: number;
                        value: string;
                    }[];
                };
                isText: boolean;
                titleDisabled: boolean;
                select: {
                    default?: undefined;
                    options?: undefined;
                };
                attrDisabled: boolean;
                pushMsg: boolean;
                multiple: boolean;
                default: number;
                aliasDisabled: boolean;
                collaboratorRoles: null;
                options: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                groupOptions: {
                    value: string;
                    children: {
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                        value: string;
                    }[];
                    id: number;
                }[];
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                typeDisabled: boolean;
                multiselect: {
                    options?: undefined;
                };
                require: boolean;
                required: boolean;
                checked: boolean;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                pushMsg: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiselect: {
                    options?: undefined;
                };
                pushMsg: boolean;
                required: boolean;
                select: {
                    default?: undefined;
                    options?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                collaboratorRoles: string[];
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                required?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                aliasDisabled: boolean;
                checked: boolean;
                multiple: boolean;
                disabled: boolean;
                hide: boolean;
                attrDisabled: boolean;
                required: boolean;
                select: {
                    default: number;
                    options: {
                        id: number;
                        value: string;
                        color: string;
                        fontColor: string;
                    }[];
                };
                typeDisabled: boolean;
                default: number;
                options: {
                    id: number;
                    value: string;
                    color: string;
                }[];
                collaboratorRoles: null;
                titleDisabled: boolean;
                pushMsg: boolean;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                select: {
                    options: {
                        id: number;
                        value: string;
                        color: string;
                        fontColor: string;
                    }[];
                    default?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                required: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                member: {
                    multiple: boolean;
                    required: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                multiselect: {
                    options?: undefined;
                };
                orgTypeName: string;
                required: boolean;
                select: {
                    options: {
                        value: string;
                        color: string;
                        id: string;
                    }[];
                    default?: undefined;
                };
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                disabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                showTime: boolean;
                collaboratorRoles: null;
                datepicker: {
                    format: string;
                    showTime: boolean;
                    isUseCreateTime?: undefined;
                    isUseUpdateTime?: undefined;
                };
                disabled: boolean;
                format: string;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
                pushMsg: boolean;
                required: boolean;
                select: {
                    options: {
                        color: string;
                        id: number;
                        value: string;
                    }[];
                    default?: undefined;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                default?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiselect: {
                    options: {
                        id: number;
                        value: string;
                        color: string;
                    }[];
                };
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                multiple: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                location: string;
                multiple: boolean;
                range: {
                    min: number;
                    max?: undefined;
                };
                disabled: boolean;
                collaboratorRoles: null;
                pushMsg: boolean;
                accuracy: string;
                sign: string;
                required: boolean;
                amount: {
                    accuracy: string;
                    location: string;
                    range: {
                        min: number;
                    };
                    sign: string;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                inputnumber: {
                    accuracy: string;
                    percentage: boolean;
                    range: {
                        max: number;
                        min: null;
                    };
                    thousandth: boolean;
                    required?: undefined;
                    unique?: undefined;
                };
                range: {
                    max: number;
                    min: null;
                };
                thousandth: boolean;
                collaboratorRoles: null;
                pushMsg: boolean;
                disabled: boolean;
                percentage: boolean;
                accuracy: string;
                required: boolean;
                multiple: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                sign?: undefined;
                amount?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                member: {
                    isCollaborators: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                multiple: boolean;
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                checked: boolean;
                isCollaborators: boolean;
                pushMsg: boolean;
                required: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                dept: {
                    multiple: boolean;
                };
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                expression: string;
                formula: {
                    expression: string;
                    expressionField: string;
                };
                disabled: boolean;
                expressionField: string;
                hide: boolean;
                multiple: boolean;
                checked: boolean;
                pushMsg: boolean;
                required: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                disabled: boolean;
                hide: boolean;
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                workHour: {};
                checked: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                multiple: boolean;
                pushMsg: boolean;
                groupSelect: {
                    options: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                    default: number;
                    groupOptions: {
                        children: {
                            color: string;
                            fontColor: string;
                            id: number;
                            parentId: number;
                            value: string;
                        }[];
                        id: number;
                        key: number;
                        value: string;
                    }[];
                };
                hide: boolean;
                required: boolean;
                checked: boolean;
                collaboratorRoles: null;
                groupOptions: {
                    id: number;
                    key: number;
                    value: string;
                    children: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                }[];
                options: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                default: number;
                disabled: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                isText?: undefined;
                select?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                checked: boolean;
                hide: boolean;
                required: boolean;
                aliasDisabled: boolean;
                isCreateSys: boolean;
                multiple: boolean;
                attrDisabled: boolean;
                member: {
                    isCollaborators: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    required?: undefined;
                    isUseUpdator?: undefined;
                };
                titleDisabled: boolean;
                isCollaborators: boolean;
                disabled: boolean;
                isUseCreator: boolean;
                pushMsg: boolean;
                typeDisabled: boolean;
                collaboratorRoles: null;
                textarea?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                input?: undefined;
                limit?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                disabled: boolean;
                isCreateSys: boolean;
                isUseUpdator: boolean;
                member: {
                    isUseUpdator: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    multiple?: undefined;
                    required?: undefined;
                };
                multiple: boolean;
                pushMsg: boolean;
                required: boolean;
                collaboratorRoles: null;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                datepicker: {
                    showTime: boolean;
                    format: string;
                    isUseCreateTime: boolean;
                    isUseUpdateTime?: undefined;
                };
                isUseCreateTime: boolean;
                required: boolean;
                format: string;
                pushMsg: boolean;
                disabled: boolean;
                isCreateSys: boolean;
                multiple: boolean;
                showTime: boolean;
                collaboratorRoles: null;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                collaboratorRoles: null;
                isCreateSys: boolean;
                isUseUpdateTime: boolean;
                required: boolean;
                format: string;
                multiple: boolean;
                pushMsg: boolean;
                showTime: boolean;
                datepicker: {
                    format: string;
                    isUseUpdateTime: boolean;
                    showTime: boolean;
                    isUseCreateTime?: undefined;
                };
                disabled: boolean;
                attrDisabled?: undefined;
                checked?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                typeDisabled?: undefined;
                hide?: undefined;
                input?: undefined;
                limit?: undefined;
                member?: undefined;
                isCollaborators?: undefined;
                inputnumber?: undefined;
                groupSelect?: undefined;
                isText?: undefined;
                select?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                multiselect?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
            };
            refSetting: null;
        };
    } | {
        name: string;
        label: string;
        aliasTitle: string;
        description: string;
        isSys: boolean;
        isOrg: boolean;
        writable: boolean;
        editable: boolean;
        unique: boolean;
        uniquePreHandler: string;
        sensitiveStrategy: string;
        sensitiveFlag: number;
        field: {
            type: string;
            customType: string;
            dataType: string;
            props: {
                isText: boolean;
                inputnumber: {
                    required: boolean;
                    thousandth: boolean;
                    unique: boolean;
                    accuracy: string;
                    percentage: boolean;
                    range?: undefined;
                };
                member: {
                    required: boolean;
                    multiple: boolean;
                    collaboratorRoles?: undefined;
                    isCollaborators?: undefined;
                    isUseUpdator?: undefined;
                };
                required: boolean;
                select: {
                    options: {
                        color: string;
                        fontColor: string;
                        id: string;
                        value: string;
                    }[];
                    default?: undefined;
                };
                disabled: boolean;
                hide: boolean;
                multiselect: {
                    options?: undefined;
                };
                checked: boolean;
                attrDisabled?: undefined;
                textarea?: undefined;
                aliasDisabled?: undefined;
                isSearch?: undefined;
                fieldSearch?: undefined;
                titleDisabled?: undefined;
                multiple?: undefined;
                pushMsg?: undefined;
                typeDisabled?: undefined;
                input?: undefined;
                collaboratorRoles?: undefined;
                limit?: undefined;
                isCollaborators?: undefined;
                groupSelect?: undefined;
                default?: undefined;
                options?: undefined;
                groupOptions?: undefined;
                require?: undefined;
                orgTypeName?: undefined;
                showTime?: undefined;
                datepicker?: undefined;
                format?: undefined;
                location?: undefined;
                range?: undefined;
                accuracy?: undefined;
                sign?: undefined;
                amount?: undefined;
                thousandth?: undefined;
                percentage?: undefined;
                dept?: undefined;
                expression?: undefined;
                formula?: undefined;
                expressionField?: undefined;
                workHour?: undefined;
                isCreateSys?: undefined;
                isUseCreator?: undefined;
                isUseUpdator?: undefined;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            refSetting: null;
        };
    })[] | Variable[] | undefined;
    currentFieldOrFunction: {
        name: string;
        description: string;
        useage: string;
        example: string;
        type: string;
    };
    functions: FunctionGroup[];
    isSelected: boolean;
    fieldValues: string[];
    FunctionNames: string[];
};
export declare type InitialState = typeof initialState;
